Gofive OpenAPI
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. Customer
  • Introduction
  • Activity
    • Activities Enquiry
      POST
    • Get a Activity By Id
      GET
    • Get a Activity By No
      GET
    • Get Key Activities
      GET
    • Create or Update Activity
      POST
  • Authentication API
    • Authorization
      POST
  • Customer
    • Create or Update customer
      POST
    • Customer Search
      POST
    • Customers Enquiry
      POST
    • Get a Customer By CustomerId
      GET
    • Get a Customer By CustomerCode
      GET
    • Get a Customer By CustomerName
      GET
    • Get Customer By TaxID
      GET
    • Check Customer Existence
      POST
    • Create Customer Satisfaction
      POST
    • Add Customer Event
      POST
    • Get Customer Events by Customer Code
      GET
    • Edit Customer Event
      PUT
    • Delete Customer Event
      DELETE
    • Get Customer Event Types
      GET
    • Get file categories
      GET
    • Attach files category
      POST
  • Case
    • Add Case
      POST
    • Edit Case by CaseNo
      PUT
    • Get Case by CaseNo
      GET
    • Get Case Categories
      GET
  • Contract
    • Get Contract By No
    • Get Contract Types
    • Get Contract Templates
    • Create or Update Contract
    • Create or Update Contract Service Agreement
    • Send Contract Document
  • Conversation
    • Conversation Enquiry
  • Expense
    • Create Expense
    • Update Expense
    • Expense Enquiry
    • Get a Expense
  • Deal
    • Create Deal
    • Update Deal
    • Deal Enquiry
    • Get Deal
    • Get Deal Board
    • Get Deal Stage
    • Get Deal Interest
    • Get DealLabel
    • Get Deal Missed Reason Categories
  • Employee
    • Employees Enquiry
    • Get a Employee
  • Product
    • Create Or Update Products
    • Get a Product Ticket
    • Get Products With Take & Status
    • Get a Product by ProductCode
    • Get Product Groups
    • Get Product Properties
    • Get Products By Filter
    • Verify Serial Number
    • Check Serial Verification Status
    • Create or Update Codeguard Products
    • Update Product Stock
    • Get Units
  • Quotation
    • Create Update Quotation
    • Convert Quotation To SalesOrder
    • Quotation Enquiry
    • Get a Quotation By QuotationNo
    • Cancel Quotation
    • Get Pdf By QuotationNo
  • SalesOrder
    • Create Or Update SalesOrder
    • Get a SalesOrder By Id
    • Get a SalesOrder By No
    • Get Sale Order Attachment by Id
    • Get Sale Order Attachment By No
    • Reject SaleOrder
    • Approve Sale Order
    • Update SalesOrder Payment
    • Get Pdf By SalesOrderNo
    • Update SalesOrder Tracking Number
  • Webhooks
    • Webhook Payload
  • Task
    • Task Enquiry
    • CreateTask
  • Setting
    • Get HeaderTemplate
  • Chat
    • Post Send message
  • Storage
    • Upload files attachments
    • Get file attachments
    • Delete file attachments
  • Calendio
    • Create Venio Calendio Event
    • Edit Venio Calendio Event
    • Get Venio Calendio Events
    • Create empeo Calendio Event
    • Edit empeo Calendio Event
    • Get empeo Calendio Events
    • Get Venio Calendio Event by Id
    • Get empeo Calendio Event by Id
    • Create Appointment
    • Appointment Enquiry
    • Edit Appointment
    • Get Appointment By Id
    • Add Calendio Custom Field
    • Calendio Custom Field Enquiry
    • Get Calendio Custom Field by Id
    • Available slots Enquiry
    • Calendio Bookings Enquiry
    • Reschedule Calendio Booking time
    • Cancel Calendio Booking
  1. Customer

Check Customer Existence

POST
https://api.gofive.co.th/v1/customers/exist
ใช้สำหรับตรวจสอบว่า “มีลูกค้านี้อยู่ในระบบแล้วหรือไม่”
ไม่ใช่เส้นสำหรับดึงรายละเอียด
ไม่ใช่เส้นสำหรับ search แบบ list ยาว

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "customerCode": "L000030",
    "customerName": "บริษัท เทคโนโลยี จำกัด (มหาชน)",
    "customerTaxNo": "0107550000203",
    "customerPhone": "021234567",
    "customerMobile": "0801234567",
    "customerEmail": "[email protected]",
    "contactName": "Somjai",
    "contactPhone": "021345567",
    "contactMobile": "0811123455",
    "contactEmail": "[email protected]",
    "isExactMatch": true,
    "take": 20,
    "skip": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.gofive.co.th/v1/customers/exist' \
--header 'Ocp-Apim-Subscription-Key: <Your-Subscription-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerCode": "L000030",
    "customerName": "บริษัท เทคโนโลยี จำกัด (มหาชน)",
    "customerTaxNo": "0107550000203",
    "customerPhone": "021234567",
    "customerMobile": "0801234567",
    "customerEmail": "[email protected]",
    "contactName": "Somjai",
    "contactPhone": "021345567",
    "contactMobile": "0811123455",
    "contactEmail": "[email protected]",
    "isExactMatch": true,
    "take": 20,
    "skip": 0
}'

Responses

🟢200Success
application/json
Body

Example
{
    "status": {
        "code": "200",
        "description": "success"
    },
    "data": {
        "exists": true,
        "matches": [
            {
                "customerId": 58,
                "customerCode": "C-2024-0003",
                "customerName": "คุณเอลวิรา เฟฮีย์ (Elvira Fahey)",
                "customerState": 1,
                "customerPhone": "096-769-0708",
                "customerEmail": "[email protected]",
                "customerTaxNo": "0105564000123"
            },
            {
                "customerId": 5,
                "customerCode": "C-2024-0004",
                "customerName": "คุณบอยด์ เวอัม (Boyd Veum)",
                "customerState": 1,
                "customerPhone": "096-769-0707",
                "customerEmail": "[email protected]",
                "customerTaxNo": "9083716047588"
            }
        ]
    }
}
🟠401User authentication required V2.
Modified at 2026-03-09 02:55:57
Previous
Get Customer By TaxID
Next
Create Customer Satisfaction
Built with